#ifndef _PYGAME2_DOCBASE_H_
#define _PYGAME2_DOCBASE_H_

#define DOC_BASE "Basic Pygame2 SDL wrapper functions."
#define DOC_BASE_GET_COMPILED_VERSION "get_compiled_version () -> (int, int, int)\n\nGets the SDL version pygame2 was compiled against as three-value tuple.\n\nThis version is built at compile time. It can be used to detect\nwhich features may not be available through Pygame, if it is used\nas precompiled package using a different version of the SDL\nlibrary."
#define DOC_BASE_GET_ERROR "get_error () -> pygame2.Error\n\nGets the last pygame2.Error occured.\n\nSDL maintains an internal error message. This message will usually\nbe given to you when a pygame2.Error is raised.\n\nYou will rarely need to call this function."
#define DOC_BASE_GET_VERSION "get_version () -> (int, int, int)\n\nGets the SDL version pygame2 currently uses as three-value tuple.\n\nThis version is detected at runtime. It can be used to detect\nwhich features may not be available through Pygame, if it is used\nas precompiled package using a different version of the SDL library."
#define DOC_BASE_INIT "init (flags) -> bool\n\nInitializes the underlying SDL library.\n\nInitializes the underlying SDL library using the passed SDL\nflags. The flags indicate, which subsystems of SDL should be\ninitialized and can be a bitwise combination of the initialization\nconstants of the :mod:pygame2.sdl.constants module.\n\nIn case an error occured, False will be returned. The detailled\nerror can be received using :func:get_error."
#define DOC_BASE_INIT_SUBSYSTEM "init_subsystem (flags) -> bool\n\nInitializes one or more SDL subsystems.\n\nIn case a specific part of SDL was not initialized using\n:func:pygame2.sdl.init, this function can be used to initialize it at\na later time.\n\nIn contrast to the original SDL library, you do not need to call\n:func:pygame2.sdl.init beforehand to initialize anything. In\ncase it was not done before, :func:pygame2.sdl.init will be\ncalled implicitly with the passed *flags*.\n\nIn case an error occured, False will be returned. The detailled\nerror can be received using :func:get_error."
#define DOC_BASE_QUIT "quit () -> None\n\nShuts down all subsystems of the underlying SDL library.\n\nAfter calling this function, you should not invoke any SDL related\nclass, method or function as they are likely to fail or might give\nunpredictable results."
#define DOC_BASE_QUIT_SUBSYSTEM "quit_subsystem (flags) -> None\n\nShuts down one or more subsystems of the underlying SDL library.\n\nAfter calling this function, you should not invoke any class,\nmethod or function related to the specified subsystems as they are\nlikely to fail or might give unpredictable results."
#define DOC_BASE_WAS_INIT "was_init ([flags]) -> long\n\nGets a bitwise OR'ed combination of the initialized SDL subsystems.\n\nReturns a bitwise combination of the currently initialized SDL\nsubsystems. If *flags* is passed, only the listed subsystems in\n*flags* will be passed and the initialized ones of those returned."

#endif
