#ifndef _PYGAME2_DOCCDROM_H_
#define _PYGAME2_DOCCDROM_H_

#define DOC_CDROM "The cdrom module manages the CD and DVD drives on a computer. It can\nalso control the playback of audio CDs."
#define DOC_CDROM_GET_NAME "get_name (index) -> str\n\nGets the name of the specified CD- or DVD-ROM drive.\n\nGets the system-dependent drive name (e.g. \"/dev/cdrom\" or \"D:\")\nfor the CD- or DVD-Rom specified by the passed *index*."
#define DOC_CDROM_INIT "init () -> None\n\nInitializes the CD-ROM subsystem of the SDL library."
#define DOC_CDROM_NUM_DRIVES "um_drives () -> int\n\nGets the number of accessible CD- and DVD-ROM drives for the system."
#define DOC_CDROM_QUIT "quit () -> None\n\nShuts down the CD-ROM subsystem of the SDL library.\n\nAfter calling this function, you should not invoke any class,\nmethod or function related to the CD-ROM subsystem as they are\nlikely to fail or might give unpredictable results."
#define DOC_CDROM_WAS_INIT "was_init () -> bool\n\nReturns, whether the CD-ROM subsystem of the SDL library is initialized."
#define DOC_CDROM_CD "CD (index) -> CD\n\nCreates a new CD object for the CD- or DVD-ROM specified by the\npassed *index*. The *index* identifies the matching system CD/DVD-ROM\nnumber as returned by cdrom.num_drives ().\n\nThe CD itself provides access to the track data on the CD/DVD,\nplaying audio tracks, opening and closing the drive tray and so\nforth."
#define DOC_CDROM_CD_CUR_FRAME "The current frame offset within the curent track."
#define DOC_CDROM_CD_CUR_TRACK "The current track."
#define DOC_CDROM_CD_INDEX "The drive index as specified in the constructor."
#define DOC_CDROM_CD_NAME "The system-dependent drive name (e.g. \"/dev/cdrom\" or \"D:\")."
#define DOC_CDROM_CD_NUM_TRACKS "The total number of tracks on the CD or DVD."
#define DOC_CDROM_CD_STATUS "Gets the current CD status."
#define DOC_CDROM_CD_TRACKS "Gets a list of CDTrack objects with the CD track\ninformation."
#define DOC_CDROM_CD_CLOSE "close () -> None\n\nReleases the CD internals. Useful for e.g. switching CDs within\nthe drive without the need to recreate the CD object. open\nwill reinitialize the CD internals. You should not use any other\nmethod or attribute until a call to open."
#define DOC_CDROM_CD_EJECT "eject () -> None\n\nEjects the CD or DVD."
#define DOC_CDROM_CD_OPEN "open () -> None\n\n(Re-)Opens the CD and initialises the CD internals\nafter a close call."
#define DOC_CDROM_CD_PAUSE "pause () -> None\n\nPauses the actual CD playback."
#define DOC_CDROM_CD_PLAY "play (start, length[, asfps]) -> None\n\nStarts playing the current CD beginning at the give *start*\ntime for a maximum of *length* seconds. The *start* and *length*\narguments are handled as seconds by default. To use an exact frame\noffset instead ofseconds, pass True as third *asfps* parameter."
#define DOC_CDROM_CD_PLAY_TRACKS "play_tracks ([starttrack, ntracks, start, length, asfps]) -> None\n\nPlays a certain number of tracks beginning at the passed start\ntrack. If *start* and *length* are not 0, *start* determines the\noffset of *starttrack* to begin the playback at and *length*\nspecifies the amount of seconds to play from the last track\nwithin the track list. To use an exact frame offset instead of\nseconds for the *start* and *length* parameters, pass True as *asfps*\nparameter."
#define DOC_CDROM_CD_RESUME "resume () -> None\n\nResumes a previously paused playback."
#define DOC_CDROM_CD_STOP "stop () -> None\n\nStops the current playback."
#define DOC_CDROM_CDTRACK "CDTrack() -> CDTrack\n\nThe CDTrack class provides information about the track contents\nof a CD or DVD. It should not be created within user code."
#define DOC_CDROM_CDTRACK_ID "Gets the CD track id."
#define DOC_CDROM_CDTRACK_LENGTH "Gets the track length in frames."
#define DOC_CDROM_CDTRACK_MINUTES "Gets the approximate track length in minutes."
#define DOC_CDROM_CDTRACK_OFFSET "Gets the frame offset of the track on the CD."
#define DOC_CDROM_CDTRACK_SECONDS "Gets the approximate track length in seconds."
#define DOC_CDROM_CDTRACK_TIME "Gets the approximate track length in minutes and seconds as\ntuple."
#define DOC_CDROM_CDTRACK_TYPE "Gets the track type (data or audio)."

#endif
