#ifndef _PYGAME2_DOCTIME_H_
#define _PYGAME2_DOCTIME_H_

#define DOC_TIME "SDL time handling and measurement wrapper module"
#define DOC_TIME_ADD_TIMER "add_timer (interval, callable[, data]) -> CObject\n\nAdds a timer callback to be called periodically.\n\nAdds a timer callback to be called periodically using the specified\n*interval*. *callable* can be any callable objet, method or function. On\ninvocation, the optional *data* will be passed to the callable.\n\nThis will return an CObject that acts as unique id for the timer callback."
#define DOC_TIME_DELAY "delay (time) -> None\n\nDelays the execution for a specific time.\n\nDelays the program execution for a specific *time*. The *time* is\nexpressed in milliseconds."
#define DOC_TIME_GET_TICKS "get_ticks () -> long\n\nGets the number of milliseconds since the initialization of the underlying\nSDL library.\n\nGets the number of milliseconds since the initialization of the underlying\nSDL library. The value will wrap if the program runs for more than ~49\ndays."
#define DOC_TIME_INIT "init () -> None\n\nInitializes the timer subsystem of the SDL library."
#define DOC_TIME_QUIT "quit () -> None\n\nShuts down the timer subsystem of the SDL library.\n\nAfter calling this function, you should not invoke any class,\nmethod or function related to the timer subsystem as they are\nlikely to fail or might give unpredictable results."
#define DOC_TIME_REMOVE_TIMER "remove_timer (timerobj) -> None\n\nRemoves a previously added timer callback.\n\nRemoves a previously added timer callback and throws an exception, if the\npassed object is not a matching timer object."
#define DOC_TIME_SET_TIMER "set_timer (interval, callable) -> None\n\nSets a single timer callback to be called periodically.\n\nSets a single timer callback to be called periodically using the specified\n*interval* in milliseconds. The timer callback can be reset by passing\nNone as *callable* object."
#define DOC_TIME_WAS_INIT "was_init () -> bool\n\nReturns, whether the timer subsystem of the SDL library is initialized."

#endif
